@echo off
:begin
cls
echo Bitte Sprache auswhlen / Please choose a language
echo [1] Deutsch
echo [2] English
set lw=0
set /p lw="Bitte Zahl eintragen / Please insert number: "
if %lw%==1 goto ger
if %lw%==2 goto eng
goto begin

:ger
title = ICM Profil erzeugen
set miss=Eine der ntigen Dateien ist nicht vorhanden - Bitte prfen und Batch neu starten!
set tx1=IT8 Ausgabewerte werden in Datei geschrieben
set tx2=IT8 Ausgabewerte werden verrechnet
set tx3=ICM-Profil wird erzeugt
set tx4=ICM-Profil wurde erfolgreich fertiggestellt!
set pnam=""
set /p pnam="Bitte gewnschten Namen des ICM-Profils eingeben: "
if %pnam%=="" goto ger

goto weiter

:eng
title = Create ICM profile
set miss=One of the required files doesn't exist - Please check and restart the batch!
set tx1=IT8 output values will be transfered to file
set tx2=IT8 output values will be avereged
set tx3=ICM profile will be created
set tx4=ICM profile was created successfully!
set pnam=""
set /p pnam="Please enter the desired name of the ICM profile: "
if %pnam%=="" goto eng

goto weiter


:weiter
cls

REM Prfen, ob die ntigen Dateien vorhanden sind
if NOT exist IT8-1.tif goto missfile
if NOT exist IT8-2.tif goto missfile
if NOT exist IT8-3.tif goto missfile
if NOT exist IT8-4.tif goto missfile
if NOT exist IT8-R.txt goto missfile

echo %tx1%
scanin IT8-1.tif it8.cht IT8-R.txt 
scanin IT8-2.tif it8.cht IT8-R.txt 
scanin IT8-3.tif it8.cht IT8-R.txt 
scanin IT8-4.tif it8.cht IT8-R.txt 
echo %tx2%
average -m IT8-1.ti3 IT8-2.ti3 IT8-3.ti3 IT8-4.ti3 %pnam%.ti3 
echo %tx3%
colprof -ua %pnam%
del *.ti3
echo %tx4%
timeout /T 5 > NUL
exit

:missfile
echo %miss%
timeout /T 5 > NUL
exit
